Approve or deny an access request

View as Markdown
Approve or deny a team's access request.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

teamIdintegerRequired
The team's ID.
requestIdintegerRequired
The access request's ID.

Headers

identifierTypestringOptional
Use SCIM user and group IDs instead of Postman user IDs.

Request

This endpoint expects an object.
actionenumRequired
Whether to approve or deny the access request.

Response

Successful Response
resultobject
Information about the approved or denied access request.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error